HTTP APIEndpoints
Send input
POST
Queues a user.message (with text and an optional idempotency key) or requests an interruption with user.interrupt. Returns 202 Accepted once the input is recorded locally.
bearerheader
AuthorizationBearer <token>id*stringOpaque session ID.
Match
^[a-fA-F0-9]{32}$application/json- body
delivery?stringkey?stringtext?stringtype*stringSend input
application/json- response
cursor?stringdata*unknownid*stringinput_id?stringtime*stringFormat
date-timetype*stringcurl -X POST 'http://127.0.0.1:8080/sessions/string/events' \ -H 'Authorization: Bearer <BRAIN_TOKEN>' \ -H 'Content-Type: application/json' \ -d '{ "type": "string"}'{ "cursor": "string", "data": null, "id": "string", "input_id": "string", "time": "2019-08-24T14:15:22Z", "type": "string"}